Subject: For Sale - Fine Woodworking magazines.

From: [email-masked] (gr Mansfield)
Date: 10 Feb 1997 15:48:48 GMT

I have a collection of Fine Woodworking magazines for sale.
The collection is complete from Issue 1 (Winter 1975) through
Issue 108 (October 1994).  The collection is in good to excellent
condition.

The best offer (email or phone) by February 18 takes the collection.

Greg
 
-----------------------------------------------------------------------------
Greg Mansfield
LSC, Inc.                             email:  [email-masked]
4201 N. Lexington Ave, MS ARH206      voice:  612-482-2346
St. Paul, MN  55126                   fax:    612-482-4595
 
My body is mostly water so I sail.
If my body was made of snow, I would be fulfilled shoveling the driveway.